Bug 1459457 - (CVE-2017-9469) CVE-2017-9469 irssi: Invalid read when receiving certain incorrectly quoted DCC files
CVE-2017-9469 irssi: Invalid read when receiving certain incorrectly quoted D...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170607,reported=2...
: Security
Depends On: 1459458
Blocks: 1459459
  Show dependency treegraph
 
Reported: 2017-06-07 04:24 EDT by Andrej Nemec
Modified: 2017-06-13 09:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: irssi 1.0.3
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bound heap read was found in irssi's get_file_params_count() function, during the parsing of a DCC SEND request. An IRC client connected to the same IRC network as the target could send a specially crafted request that would force irssi to read 1 byte outside of an allocated string, which could, possibly, lead to an invalid memory read.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-12 10:54:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-06-07 04:24:12 EDT
When receiving certain incorrectly quoted DCC files, Irssi would try to find the terminating quote one byte before the allocated memory. A remote attacker could possibly use this to crash irssi.

External References:

https://irssi.org/security/irssi_sa_2017_06.txt
Comment 1 Andrej Nemec 2017-06-07 04:25:03 EDT
Created irssi tracking bugs for this issue:

Affects: fedora-all [bug 1459458]
Comment 2 Cedric Buissart 2017-06-12 09:58:20 EDT
Lowering impact: the vulnerability allows an out of bound read 1 byte outside of the allocated memory. As shipped in RHEL, this will not cause an invalid memory access.
Comment 3 Cedric Buissart 2017-06-12 10:54:12 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.